Xalan-Java 2.7.1: Interface Serializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.serialize
Interface Serializer

Deprecated. Use org.apache.xml.serializer.Serializer

public interface Serializer

The Serializer interface is implemented by Serializers to publish methods to get and set streams and writers, to set the output properties, and get the Serializer as a ContentHandler or DOMSerializer.

Method Summary
`ContentHandler` | `asContentHandler()` Deprecated. Use org.apache.xml.serializer.Serializer
`DOMSerializer` | `asDOMSerializer()` Deprecated. Use org.apache.xml.serializer.Serializer
`java.util.Properties` | `getOutputFormat()` Deprecated. Use org.apache.xml.serializer.Serializer
`java.io.OutputStream` | `getOutputStream()` Deprecated. Use org.apache.xml.serializer.Serializer
`java.io.Writer` | `getWriter()` Deprecated. Use org.apache.xml.serializer.Serializer
`boolean` | `reset()` Deprecated. Use org.apache.xml.serializer.Serializer
`void` | `setOutputFormat(java.util.Properties format)` Deprecated. Use org.apache.xml.serializer.Serializer
`void` | `setOutputStream(java.io.OutputStream output)` Deprecated. Use org.apache.xml.serializer.Serializer
`void` | `setWriter(java.io.Writer writer)` Deprecated. Use org.apache.xml.serializer.Serializer

Method Detail

### setOutputStream

    public void setOutputStream(java.io.OutputStream output)

  Deprecated. Use org.apache.xml.serializer.Serializer
  Specifies an output stream to which the document should be serialized. This method should not be called while the serializer is in the process of serializing a document.

  The encoding specified in the output `Properties` is used, or if no encoding was specified, the default for the selected output method.

  Parameters:
    `output` - The output stream

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Deprecated. Use org.apache.xml.serializer.Serializer
  Get the output stream where the events will be serialized to.
  Returns:
    reference to the result stream, or null of only a writer was set.

### setWriter

    public void setWriter(java.io.Writer writer)

  Deprecated. Use org.apache.xml.serializer.Serializer
  Specifies a writer to which the document should be serialized. This method should not be called while the serializer is in the process of serializing a document.

  The encoding specified for the output `Properties` must be identical to the output format used with the writer.

  Parameters:
    `writer` - The output writer stream

### getWriter

    public java.io.Writer getWriter()

  Deprecated. Use org.apache.xml.serializer.Serializer
  Get the character stream where the events will be serialized to.
  Returns:
    Reference to the result Writer, or null.

### setOutputFormat

    public void setOutputFormat(java.util.Properties format)

  Deprecated. Use org.apache.xml.serializer.Serializer
  Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.
  Parameters:
    `format` - The output format to use

### getOutputFormat

    public java.util.Properties getOutputFormat()

  Deprecated. Use org.apache.xml.serializer.Serializer
  Returns the output format for this serializer.
  Returns:
    The output format in use

### asContentHandler

    public ContentHandler asContentHandler()
                                    throws java.io.IOException

  Deprecated. Use org.apache.xml.serializer.Serializer
  Return a `ContentHandler` interface into this serializer. If the serializer does not support the `ContentHandler` interface, it should return null.
  Returns:
    A `ContentHandler` interface into this serializer, or null if the serializer is not SAX 2 capable
  Throws:
    java.io.IOException - An I/O exception occured

### asDOMSerializer

    public DOMSerializer asDOMSerializer()
                                  throws java.io.IOException

  Deprecated. Use org.apache.xml.serializer.Serializer
  Return a `DOMSerializer` interface into this serializer. If the serializer does not support the `DOMSerializer` interface, it should return null.
  Returns:
    A `DOMSerializer` interface into this serializer, or null if the serializer is not DOM capable
  Throws:
    java.io.IOException - An I/O exception occured

### reset

    public boolean reset()

  Deprecated. Use org.apache.xml.serializer.Serializer
  Resets the serializer. If this method returns true, the serializer may be used for subsequent serialization of new documents. It is possible to change the output format and output stream prior to serializing, or to use the existing output format and output stream.
  Returns:
    True if serializer has been reset and can be reused

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.